﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Timebase Ref VER IEEE /O_CAL
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Time Qualified VER IEEE /O_CAL
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /O_CAL
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Probe Comp VER IEEE /O_CAL
DATE:                  2018-06-25 13:37:19
AUTHOR:                Fluke
REVISION:              $Revision: 24236 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       37
NUMBER OF LINES:       746
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        1 ea. BNC attenuator, 2X (6 dB)
#        1 ea. BNC power splitter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;HEADER OFF
  1.002  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.003  JMPL         DCV_MEASUREMENT_ACCURACY     PSUB("DCV Measurement")
  1.004  JMPL         TIMEBASE_REFERENCE           PSUB("Timebase Ref")
  1.005  JMPL         TIME_QUALIFIED               PSUB("Qualified")
  1.006  JMPL         TRIGGER_50MHz                PSUB("Trigger 50 MHz")
  1.007  JMPL         PROBE_COMPENSATION           PSUB("Probe Comp")
  1.008  DISP         Subprocedure not found!
  1.009  END

  1.010  EVAL   Increment test number

# =====  Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL  ============

  2.001  LABEL        DCV_MEASUREMENT_ACCURACY
  2.002  HEAD         DCV MEASUREMENT ACCURACY (Ch [V @Chan]): 50 Ω

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =DCV MEASUREMENT ACCURACY
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan], 50 Ω
  2.009  RSLT         =
  2.010  HEAD         -2{1 mV/div}, Positive
  2.011  TARGET       -p

  2.012  IF           @MultiCh && (@Chan == 1)
  2.013  DISP         Connect the Calibrator to the DUT as follows:
  2.013  DISP
  2.013  DISP         [32] Calibrator         DUT
  2.013  DISP         [32] CHAN 1 <=========> Ch 1
  2.013  DISP         [32] CHAN 2 <=========> Ch 2
  2.013  DISP         [32] CHAN 3 <=========> Ch 3
  2.013  DISP         [32] CHAN 4 <=========> Ch 4
  2.014  ELSEIF       NOT(@MultiCh)

  2.015  IF           FIND(@CalDev, "58", 1)
  2.016  DISP         Connect Calibrator CHAN 1 to DUT Ch [V @Chan].
  2.017  ELSE
  2.018  DISP         Connect Calibrator SCOPE OUT to DUT Ch [V @Chan].
  2.019  ENDIF

  2.020  ENDIF

  2.021  IEEE2        CH[V @Chan]:TER 50;SCA 1E-3;POS -5;OFFS 0.5
  2.022  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE;EDGE:SOU LINE
  2.023  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE MEAN
  2.024  IEEE2        ACQ:MODE AVE;NUMAV 16;STOPAFTER SEQUENCE
  2.025  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  2.025  O_CAL        OutputImpedance = 50 Ohms
  2.025  O_CAL        +Voltage = 507.00 mV
  2.026  TARGET       -m
  2.027  IEEE2        ACQ:STATE RUN
  2.028  IEEE         MEASU:IMM:VALUE?[I]
  2.029  MATH         MEM = MEM / 1E-3
  2.030  MEMCX        507.00mV       +2.76U -2.75U
# WARNING: Test Tol 0.00275, Sys Tol 0.0013075 V, TUR 2.1033 (< 4.00).

  3.001  HEAD         -2 1 mV/div, Negative
  3.002  TARGET       -p
  3.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.5
  3.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  3.004  O_CAL        OutputImpedance = 50 Ohms
  3.004  O_CAL        +Voltage = -507.00 mV
  3.005  TARGET       -m
  3.006  IEEE2        ACQ:STATE RUN
  3.007  IEEE         MEASU:IMM:VALUE?[I]
  3.008  MATH         MEM = MEM / 1E-3
  3.009  MEMCX        -507.00mV      -2.76U +2.75U
# WARNING: Test Tol 0.00275, Sys Tol 0.0013075 V, TUR 2.1033 (< 4.00).

  4.001  RSLT         =
  4.002  HEAD         -2{2 mV/div}, Positive
  4.003  TARGET       -p
  4.004  IEEE2        CH[V @Chan]:SCA 2E-3;POS -5;OFFS 0.5
  4.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  4.005  O_CAL        OutputImpedance = 50 Ohms
  4.005  O_CAL        +Voltage = 516.00 mV
  4.006  TARGET       -m
  4.007  IEEE2        ACQ:STATE RUN
  4.008  IEEE         MEASU:IMM:VALUE?[I]
  4.009  MATH         MEM = MEM / 1E-3
  4.010  MEMCX        516.00mV       +3.03U -3.02U
# WARNING: Test Tol 0.00302, Sys Tol 0.00133 V, TUR 2.2707 (< 4.00).

  5.001  HEAD         -2 2 mV/div, Negative
  5.002  TARGET       -p
  5.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.5
  5.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  5.004  O_CAL        OutputImpedance = 50 Ohms
  5.004  O_CAL        +Voltage = -516.00 mV
  5.005  TARGET       -m
  5.006  IEEE2        ACQ:STATE RUN
  5.007  IEEE         MEASU:IMM:VALUE?[I]
  5.008  MATH         MEM = MEM / 1E-3
  5.009  MEMCX        -516.00mV      -3.03U +3.02U
# WARNING: Test Tol 0.00302, Sys Tol 0.00133 V, TUR 2.2707 (< 4.00).

  6.001  RSLT         =
  6.002  HEAD         -2{5 mV/div}, Positive
  6.003  TARGET       -p
  6.004  IEEE2        CH[V @Chan]:SCA 5E-3;POS -5;OFFS 0.5
  6.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  6.005  O_CAL        OutputImpedance = 50 Ohms
  6.005  O_CAL        +Voltage = 540.00 mV
  6.006  TARGET       -m
  6.007  IEEE2        ACQ:STATE RUN
  6.008  IEEE         MEASU:IMM:VALUE?[I]
  6.009  MATH         MEM = MEM / 1E-3
  6.010  MEMCX        540.00mV       3.74U
# WARNING: Test Tol 0.00374, Sys Tol 0.00139 V, TUR 2.6906 (< 4.00).

  7.001  HEAD         -2 5 mV/div, Negative
  7.002  TARGET       -p
  7.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.5
  7.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  7.004  O_CAL        OutputImpedance = 50 Ohms
  7.004  O_CAL        +Voltage = -540.00 mV
  7.005  TARGET       -m
  7.006  IEEE2        ACQ:STATE RUN
  7.007  IEEE         MEASU:IMM:VALUE?[I]
  7.008  MATH         MEM = MEM / 1E-3
  7.009  MEMCX        -540.00mV      3.74U
# WARNING: Test Tol 0.00374, Sys Tol 0.00139 V, TUR 2.6906 (< 4.00).

  8.001  RSLT         =
  8.002  HEAD         -2{10 mV/div}, Positive
  8.003  TARGET       -p
  8.004  IEEE2        CH[V @Chan]:SCA 10E-3;POS -5;OFFS 0.5
  8.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  8.005  O_CAL        OutputImpedance = 50 Ohms
  8.005  O_CAL        +Voltage = 580.00 mV
  8.006  TARGET       -m
  8.007  IEEE2        ACQ:STATE RUN
  8.008  IEEE         MEASU:IMM:VALUE?[I]
  8.009  MATH         MEM = MEM / 1E-3
  8.010  MEMCX        580.00mV       5.80U
# WARNING: Test Tol 0.0058, Sys Tol 0.00149 V, TUR 3.8926 (< 4.00).

  9.001  HEAD         -2 10 mV/div, Negative
  9.002  TARGET       -p
  9.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.5
  9.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  9.004  O_CAL        OutputImpedance = 50 Ohms
  9.004  O_CAL        +Voltage = -580.00 mV
  9.005  TARGET       -m
  9.006  IEEE2        ACQ:STATE RUN
  9.007  IEEE         MEASU:IMM:VALUE?[I]
  9.008  MATH         MEM = MEM / 1E-3
  9.009  MEMCX        -580.00mV      5.80U
# WARNING: Test Tol 0.0058, Sys Tol 0.00149 V, TUR 3.8926 (< 4.00).

 10.001  RSLT         =
 10.002  HEAD         -2{20 mV/div}, Positive
 10.003  TARGET       -p
 10.004  IEEE2        CH[V @Chan]:SCA 20E-3;POS -5;OFFS 0.5
 10.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 10.005  O_CAL        OutputImpedance = 50 Ohms
 10.005  O_CAL        +Voltage = 660.00 mV
 10.006  TARGET       -m
 10.007  IEEE2        ACQ:STATE RUN
 10.008  IEEE         MEASU:IMM:VALUE?[I]
 10.009  MATH         MEM = MEM / 1E-3
 10.010  MEMCX        660.00mV       8.35U

 11.001  HEAD         -2 20 mV/div, Negative
 11.002  TARGET       -p
 11.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.5
 11.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 11.004  O_CAL        OutputImpedance = 50 Ohms
 11.004  O_CAL        +Voltage = -660.00 mV
 11.005  TARGET       -m
 11.006  IEEE2        ACQ:STATE RUN
 11.007  IEEE         MEASU:IMM:VALUE?[I]
 11.008  MATH         MEM = MEM / 1E-3
 11.009  MEMCX        -660.00mV      8.35U

 12.001  RSLT         =
 12.002  HEAD         -2{50 mV/div}, Positive
 12.003  TARGET       -p
 12.004  IEEE2        CH[V @Chan]:SCA 50E-3;POS -5;OFFS 0.5
 12.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 12.005  O_CAL        OutputImpedance = 50 Ohms
 12.005  O_CAL        +Voltage = 900.00 mV
 12.006  TARGET       -m
 12.007  IEEE2        ACQ:STATE RUN
 12.008  IEEE         MEASU:IMM:VALUE?[I]
 12.009  MATH         MEM = MEM / 1E-3
 12.010  MEMCX        900.00mV       6.00U
# WARNING: Test Tol 0.006, Sys Tol 0.00229 V, TUR 2.6201 (< 4.00).

 13.001  HEAD         -2 50 mV/div, Negative
 13.002  TARGET       -p
 13.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.5
 13.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 13.004  O_CAL        OutputImpedance = 50 Ohms
 13.004  O_CAL        +Voltage = -900.00 mV
 13.005  TARGET       -m
 13.006  IEEE2        ACQ:STATE RUN
 13.007  IEEE         MEASU:IMM:VALUE?[I]
 13.008  MATH         MEM = MEM / 1E-3
 13.009  MEMCX        -900.00mV      6.00U
# WARNING: Test Tol 0.006, Sys Tol 0.00229 V, TUR 2.6201 (< 4.00).

 14.001  RSLT         =
 14.002  HEAD         -2{90 mV/div}, Positive
 14.003  TARGET       -p
 14.004  IEEE2        CH[V @Chan]:SCA 90E-3;POS -5;OFFS 0.5
 14.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 14.005  O_CAL        OutputImpedance = 50 Ohms
 14.005  O_CAL        +Voltage = 1.220 V
 14.006  TARGET       -m
 14.007  IEEE2        ACQ:STATE RUN
 14.008  IEEE         MEASU:IMM:VALUE?[I]
 14.009  MEMCX        1.220V         0.026U

 15.001  HEAD         -2 90 mV/div, Negative
 15.002  TARGET       -p
 15.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.5
 15.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 15.004  O_CAL        OutputImpedance = 50 Ohms
 15.004  O_CAL        +Voltage = -1.220 V
 15.005  TARGET       -m
 15.006  IEEE2        ACQ:STATE RUN
 15.007  IEEE         MEASU:IMM:VALUE?[I]
 15.008  MEMCX        -1.220V        0.026U

 16.001  RSLT         =
 16.002  HEAD         -2{100 mV/div}, Positive
 16.003  TARGET       -p
 16.004  IEEE2        CH[V @Chan]:SCA 100E-3;POS 0;OFFS 4.5
 16.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 16.005  O_CAL        OutputImpedance = 50 Ohms
 16.005  O_CAL        +Voltage = 4.800 V
 16.006  TARGET       -m
 16.007  IEEE2        ACQ:STATE RUN
 16.008  IEEE         MEASU:IMM:VALUE?[I]
 16.009  MEMCX        4.800V         0.054U

 17.001  HEAD         -2 100 mV/div, Negative
 17.002  TARGET       -p
 17.003  IEEE2        CH[V @Chan]:POS 0;OFFS -4.5
 17.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 17.004  O_CAL        OutputImpedance = 50 Ohms
 17.004  O_CAL        +Voltage = -4.800 V
 17.005  TARGET       -m
 17.006  IEEE2        ACQ:STATE RUN
 17.007  IEEE         MEASU:IMM:VALUE?[I]
 17.008  MEMCX        -4.800V        0.054U

 18.001  RSLT         =
 18.002  HEAD         -2{200 mV/div}, Positive
 18.003  TARGET       -p
 18.004  IEEE2        CH[V @Chan]:SCA 200E-3;POS -2;OFFS 4.6
 18.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 18.005  O_CAL        OutputImpedance = 50 Ohms
 18.005  O_CAL        +Voltage = 4.800 V
 18.006  TARGET       -m
 18.007  IEEE2        ACQ:STATE RUN
 18.008  IEEE         MEASU:IMM:VALUE?[I]
 18.009  MEMCX        4.800V         0.075U

 19.001  HEAD         -2 200 mV/div, Negative
 19.002  TARGET       -p
 19.003  IEEE2        CH[V @Chan]:POS 2;OFFS -4.6
 19.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 19.004  O_CAL        OutputImpedance = 50 Ohms
 19.004  O_CAL        +Voltage = -4.800 V
 19.005  TARGET       -m
 19.006  IEEE2        ACQ:STATE RUN
 19.007  IEEE         MEASU:IMM:VALUE?[I]
 19.008  MEMCX        -4.800V        0.075U

 20.001  RSLT         =
 20.002  HEAD         -2{500 mV/div}, Positive
 20.003  TARGET       -p
 20.004  IEEE2        CH[V @Chan]:SCA 500E-3;POS -2;OFFS 5
 20.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 20.005  O_CAL        OutputImpedance = 50 Ohms
 20.005  O_CAL        +Voltage = 4.500 V
 20.006  IEEE2        ACQ:STATE RUN
 20.007  IEEE         MEASU:IMM:VALUE?[I]
 20.008  TARGET       -m
 20.009  MEMCX        4.500V         0.155U

 21.001  HEAD         -2 500 mV/div, Negative
 21.002  TARGET       -p
 21.003  IEEE2        CH[V @Chan]:POS 2;OFFS -5
 21.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 21.004  O_CAL        OutputImpedance = 50 Ohms
 21.004  O_CAL        +Voltage = -4.500 V
 21.005  TARGET       -m
 21.006  IEEE2        ACQ:STATE RUN
 21.007  IEEE         MEASU:IMM:VALUE?[I]
 21.008  MEMCX        -4.500V        0.155U

 22.001  RSLT         =
 22.002  HEAD         -2{1 V/div}, Positive
 22.003  TARGET       -p
 22.004  IEEE2        CH[V @Chan]:SCA 1;POS 0;OFFS 2
 22.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 22.005  O_CAL        OutputImpedance = 50 Ohms
 22.005  O_CAL        +Voltage = 5.000 V
 22.006  TARGET       -m
 22.007  IEEE2        ACQ:STATE RUN
 22.008  IEEE         MEASU:IMM:VALUE?[I]
 22.009  MEMCX        5.000V         0.255U

 23.001  HEAD         -2 1 V/div, Negative
 23.002  TARGET       -p
 23.003  IEEE2        CH[V @Chan]:POS 0;OFFS -2
 23.004  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 23.004  O_CAL        OutputImpedance = 50 Ohms
 23.004  O_CAL        +Voltage = -5.000 V
 23.005  TARGET       -m
 23.006  IEEE2        ACQ:STATE RUN
 23.007  IEEE         MEASU:IMM:VALUE?[I]
 23.008  MEMCX        -5.000V        0.255U

 24.001  HEAD         -2
 24.002  HEAD
 24.003  O_CAL        Standby
 24.004  END

 24.005  EVAL   Increment test number

# =====  Sub Tek DPO7000 (1 yr) Timebase Ref VER IEEE /O_CAL  ===============

 25.001  LABEL        TIMEBASE_REFERENCE

 25.002  RSLT         =
 25.003  HEAD         {TIMEBASE REFERENCE}
 25.004  TARGET
 25.005  IEEE2        CH[V @Chan]:SCA 50E-3;TER 50
 25.006  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE PK2PK
 25.007  IEEE2        ACQ:MODE AVE;NUMAV 16
 25.008  IEEE         ACQ:STOPA SEQ
 25.009  MATH         MEM = 200; MEM1 = MEM

 25.010  DO
 25.011  MATH         MEM = MEM1 + (200 - MEM) / 2

 25.012  IF           (MEM > 250) || (MEM < 150)
 25.013  MATH         MEM = 200
 25.014  ENDIF

 25.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 25.015  O_CAL        +Voltage = [MEM] mVpp; Frequency = 10 MHz
 25.016  IEEE2        TRIG:A SETL
 25.017  IEEE2        ACQ:STATE RUN
 25.018  IEEE         MEASU:IMM:VALUE?[I]
 25.019  MATH         MEM = MEM / 1E-3
 25.020  UNTIL        (MEM >= 198) && (MEM <= 202)

# Save last calibrator output value.
 25.021  MATH         Vsour = MEM1

 25.022  O_CAL        Standby

 25.023  HEAD         -2 Signal Path Compensation Processing...

 25.024  IF           FIND(@CalDev, "58", 1)
 25.025  DISP         Move Calibrator CHAN 1 to DUT rear-panel
 25.025  DISP         EXT REF IN.
 25.026  ELSE
 25.027  DISP         Move Calibrator SCOPE OUT to DUT rear-panel
 25.027  DISP         EXT REF IN.
 25.028  ENDIF

# Specify the user-suppied external signal as the time base reference.
 25.029  IEEE2        ROS:SOU EXT
 25.030  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 25.030  O_CAL        +Voltage = [V Vsour] mVpp; Frequency = 10 MHz

 25.031  IF           @MultiCh
 25.032  DISP         Remove all connections to DUT Ch 2, 3, 4, & 5.
 25.033  ENDIF

 25.034  IEEE         *CAL?
 25.035  DISP         Select Advance when operation completes.
 25.036  IEEE2        [I]
 25.037  EVAL   -e NOT(MEM) : 10 MHz External Reference

 26.001  O_CAL        Standby

 26.002  RSLT         =
 26.003  HEAD         {INTERNAL REFERENCE TEST}
 26.004  TARGET
 26.005  IEEE2        ROS:SOU INTER
 26.006  HEAD         -2 Signal Path Compensation Processing...
 26.007  DISP         Remove the connection to DUT EXT REF IN.
 26.008  IEEE         *CAL?
 26.009  DISP         Select Advance when operation completes.
 26.010  IEEE2        [I]
 26.011  EVAL   -e NOT(MEM) : 10 MHz Internal Reference

 27.001  HEAD         -2
 27.002  HEAD
 27.003  END

 27.004  EVAL   Increment test number

# =====  Sub Tek DPO7000 (1 yr) Time Qualified VER IEEE /O_CAL  =============

 28.001  LABEL        TIME_QUALIFIED
 28.002  RSLT         =
 28.003  RSLT         =TIME QUAILIFIED TRIGGER ACCURACY
 28.004  RSLT         =
 28.005  HEAD         TIME QUAILIFIED TRIGGER ACCURACY: {100 MHz}
 28.006  TARGET
 28.007  DISP         Remove the connection at DUT Ch 1 and re-connect using a
 28.007  DISP         10X (20 dB) attenuator.
 28.008  IEEE2        CH[V @Chan]:TER 50;SCA 20E-3
 28.009  IEEE2        HOR:SCA 20E-9
 28.010  IEEE2        TRIG:A:MOD NORMAL;TYP PUL;PUL:SOU CH[V @Chan];CLA WID
 28.011  IEEE2        TRIG:A:PUL:WID:HIGHL 10E-9;LOWL 2E-9;WHE WIT
# *RST setup will set DUT vertical scale to 100 mV/div
 28.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 28.012  O_CAL        +Voltage = 1 Vpp; Frequency = 100 MHz
 28.013  IEEE2        TRIG:A SETL
# Set Lower Limit starting value.
 28.014  MATH         MEM = 2E-9

# Increase pulse trigger lower limit until DUT is no longer triggered.
 28.015  DO
 28.016  MATH         MEM2 = FMT((MEM / 1E-9), "%3.1f")
 28.017  HEAD         -2 Pulse Width Lower Limit: [MEM2] ns
 28.018  MATH         MEM = MEM + 0.1E-9
 28.019  IEEE2        TRIG:A:PUL:WID:LOWL [MEM]
 28.020  CALL         Sub Tek DPO7000 Not Triggered IEEE
 28.021  UNTIL        @NotTriggered

 28.022  MATH         MEM = MEM / 1E-9
 28.023  MATH         Result = "Lower Limit: 3.5 - 6.5 ns, "
 28.024  MATH         Result = Result & "Result: " & MEM & " ns"
 28.025  EVAL   -e (MEM >= 3.5) && (MEM <= 6.5) : [V Result]

 29.001  IEEE2        TRIG:A:PUL:WID:LOWL 2E-9
 29.002  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 29.002  O_CAL        +Voltage = 1 Vpp; Frequency = 100 MHz
 29.003  IEEE2        TRIG:A SETL
# Set the initial value.
 29.004  MATH         MEM = 10E-9

# Decrease pulse trigger upper limit until DUT is no longer triggered.
 29.005  DO
 29.006  MATH         MEM2 = FMT((MEM / 1E-9), "%3.1f")
 29.007  HEAD         -2 Pulse Width Upper Limit: [MEM2] ns
 29.008  MATH         MEM = MEM - 0.1E-9
 29.009  IEEE2        TRIG:A:PUL:WID:HIGHL [MEM]
 29.010  CALL         Sub Tek DPO7000 Not Triggered IEEE
 29.011  UNTIL        @NotTriggered

 29.012  MATH         MEM = MEM / 1E-9
 29.013  MATH         Result = "Upper Limit: 3.5 - 6.5 ns, "
 29.014  MATH         Result = Result & "Result: " & MEM & " ns"
 29.015  EVAL   -e (MEM >= 3.5) && (MEM <= 6.5) : [V Result]

 30.001  RSLT         =
 30.002  HEAD         TIME QUAILIFIED TRIGGER ACCURACY: {250 kHz}
 30.003  TARGET
 30.004  IEEE2        TRIG:A:PUL:WID:HIGHL 4E-6;LOWL 500E-9
 30.005  IEEE2        HOR:SCA 5E-6
 30.006  IEEE2        CH[V @Chan]:SCA 100E-3
 30.007  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 30.007  O_CAL        +Voltage = 1 Vpp; Frequency = 250 kHz
 30.008  IEEE2        CH[V @Chan]:SCA 20E-3
 30.009  IEEE2        TRIG:A SETL
 30.010  MATH         MEM = 500E-9

# Now increase the pulse trigger lower limit value.
 30.011  DO
 30.012  MATH         MEM2 = FMT((MEM / 1E-6), "%4.2f")
 30.013  HEAD         -2 Pulse Width Lower Limit: [MEM2] µs
 30.014  MATH         MEM = MEM + 0.01E-6
 30.015  IEEE2        TRIG:A:PUL:WID:LOWL [MEM]
 30.016  CALL         Sub Tek DPO7000 Not Triggered IEEE
 30.017  UNTIL        @NotTriggered

 30.018  MATH         MEM = MEM / 1E-6
 30.019  MATH         Result = "Lower Limit: 1.9 - 2.1 µs, "
 30.020  MATH         Result = Result & "Result: " & MEM & " µs"
 30.021  EVAL   -e (MEM >= 1.9) && (MEM <= 2.1) : [V Result]

 31.001  IEEE2        TRIG:A:PUL:WID:LOWL 500E-9
 31.002  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 31.002  O_CAL        +Voltage = 1 Vpp; Frequency = 250 kHz
 31.003  IEEE2        TRIG:A SETL
# Set the initial value.
 31.004  MATH         MEM = 4E-6

# Now increase the pulse trigger lower limit value.
 31.005  DO
 31.006  MATH         MEM2 = FMT((MEM / 1E-6), "%4.2f")
 31.007  HEAD         -2 Pulse Width Upper Limit: [MEM2] µs
 31.008  MATH         MEM = MEM - 0.01E-6
 31.009  IEEE2        TRIG:A:PUL:WID:HIGHL [MEM]
 31.010  CALL         Sub Tek DPO7000 Not Triggered IEEE
 31.011  UNTIL        @NotTriggered

 31.012  MATH         MEM = MEM / 1E-6
 31.013  MATH         Result = "Upper Limit: 1.9 - 2.1 µs, "
 31.014  MATH         Result = Result & "Result: " & MEM & " µs"
 31.015  EVAL   -e (MEM >= 1.9) && (MEM <= 2.1) : [V Result]

 32.001  HEAD         -2
 32.002  HEAD
 32.003  O_CAL        Standby
 32.004  DISP         Remove the connection at DUT Ch 1.
 32.004  DISP
 32.004  DISP         Remove the attenuator and re-connect to DUT Ch 1.
 32.005  END

 32.006  EVAL   Increment test number

# =====  Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500  ==============

 33.001  LABEL        TRIGGER_50MHz
 33.002  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Rising Slope
 33.003  MATH         @AuxTrig = 0

 33.004  IF           @Chan == 1
 33.005  RSLT         =
 33.006  RSLT         =TRIGGER SENSITIVITY
 33.007  ENDIF

 33.008  RSLT         =
 33.009  RSLT         =Channel [V @Chan]
 33.010  RSLT         =
 33.011  HEAD         -2{50 MHz}
 33.012  MATH         L[2] = @Chan
 33.013  TARGET
 33.014  IEEE2        CH[V @Chan]:TER 50
 33.015  IEEE2        HOR:SCA 20E-9
 33.016  IEEE2        TRIG:A:MOD NORM;EDGE:SOU CH[L2];COUP DC;SLO:CH[L2] RIS
 33.017  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE PK2PK
 33.018  IEEE2        ACQ:MODE AVE;NUMAV 16;SAMP ET
# Set the generator amplitude on DUT screen: 7 divs.
 33.019  MATH         MEM = 700
 33.020  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 33.020  O_CAL        +Voltage = [MEM] mVpp; Frequency = 50 MHz
 33.021  IEEE2        TRIG:A SETL
 33.022  IEEE         ACQ:STOPA SEQ

 33.023  DO
 33.024  MATH         MEM = MEM1 + (700 - MEM) / 2

 33.025  IF           (MEM > 750) || (MEM < 650)
 33.026  MATH         MEM = 700
 33.027  ENDIF

 33.028  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 33.028  O_CAL        +Voltage = [MEM] mVpp; Frequency = 50 MHz
 33.029  IEEE2        ACQ:STATE RUN
 33.030  IEEE         MEASU:IMM:VALUE?[I]
 33.031  MATH         MEM = MEM / 1E-3
 33.032  UNTIL        (MEM >= 698) && (MEM <= 702)

 33.033  MATH         @mVppApplied = MEM1
 33.034  IEEE2        ACQ:STOPA RUNST;STATE RUN
 33.035  MATH         MEM = @mVppApplied / 10
 33.036  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 33.036  O_CAL        +Voltage = [MEM] mVpp; Frequency = 50 MHz
 33.037  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
 33.038  EVAL   -e @Triggered : Rising Slope, Stable Trigger: [V @TrigLvl] mV

 34.001  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Falling Slope
 34.002  TARGET
 34.003  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] FALL
 34.004  MATH         MEM = @mVppApplied / 10
 34.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 34.005  O_CAL        +Voltage = [MEM] mVpp; Frequency = 50 MHz
 34.006  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
 34.007  EVAL   -e @Triggered : Falling Slope, Stable Trigger: [V @TrigLvl] mV

 35.001  HEAD         -2
 35.002  HEAD
 35.003  O_CAL        Standby
 35.004  END

 35.005  EVAL   Increment test number

# =====  Sub Tek DPO7000 (1 yr) Probe Comp VER IEEE /O_CAL  =================

 36.001  LABEL        PROBE_COMPENSATION
 36.002  RSLT         =
 36.003  HEAD         {PROBE COMPENSATION}
 36.004  TARGET
 36.005  PIC          dpo7000_probe_compensation
 36.006  IEEE2        CH[V @Chan]:SCA 200E-3
 36.007  IEEE2        HOR:SCA 200E-6
# Press Push-Set 50%
 36.008  IEEE2        TRIG:A SETL
# Use Vertical Position knob to center the display on screen.
 36.008  IEEE2        ACQ:MODE AVE;NUMAV 128
 36.009  WAIT         -t 3 Settling...
# Get the high and low value of waveform, accurately shift the waveform to the
# center of the screen before saving it.
 36.010  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE HIGH;STATE ON
 36.011  WAIT         [D1000]
 36.012  IEEE2        MEASU:MEAS1:VAL?[I]
 36.013  MATH         High = MEM / 1E-3
 36.014  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE LOW;STATE ON
 36.015  WAIT         [D1000]
 36.016  IEEE2        MEASU:MEAS1:VAL?[I]
 36.017  MATH         Low = MEM / 1E-3
# Calculate the shift value of center the waveform on the screen based the
# vertical division.
 36.018  MATH         L[1] = (High - Low) / 2 / (200E-3 / 1E-3)
 36.019  IEEE2        CH[V @Chan]:POS [L1]
 36.020  WAIT         [D1000]
 36.021  IEEE2        SAVE:WAVE CH[V @Chan],"c:/wavech1.wfm"
 36.022  DISP         Disconnect the signal from CH[V @Chan] and
 36.022  DISP         probe compensation connector.
 36.023  IEEE2        RECA:WAVE "c:/wavech1.wfm",REF1
 36.024  IEEE2        MEASU:MEAS1:STATE OFF
 36.025  IEEE2        MEASU:MEAS2:STATE OFF
# Get the high measurement of recalled probe compensation signal.
 36.026  IEEE2        MEASU:METH MINM
 36.027  IEEE2        MEASU:MEAS1:SOU1 REF1;TYPE HIGH;STATE ON
 36.028  WAIT         [D1000]
 36.029  IEEE2        MEASU:MEAS1:VAL?[I]

 36.030  IF           FIND(@CalDev, "58", 1)
 36.031  DISP         Connect Calibrator CHAN 1 to DUT CH 1.
 36.032  ELSE
 36.033  DISP         Connect Calibrator SCOPE OUT to DUT CH 1.
 36.034  ENDIF

 36.035  IEEE2        ACQ:MODE AVE;NUMAV 16
 36.036  IEEE2        CH[V @Chan]:TER 50
# Vertical position is changed, but the high and low value maybe not changed,
# Calibrator amplitude need to add the position offset to the value output.
# Need to verify the assumption when get the DUT.
 36.037  MATH         High = MEM / 1E-3
 36.038  MATH         Increment = 0.1
 36.039  MATH         LL = High - Increment
 36.040  MATH         UL = High + Increment
 36.041  WAIT         [D1000]
 36.042  IEEE2        MEASU:MEAS2:SOU1 CH[V @Chan];TYPE HIGH;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the top (upper) level of recalled waveform.
 36.043  MATH         MEM = High; MEM1 = MEM

 36.044  DO
 36.045  MATH         MEM = MEM1 + (High - MEM) / 2
 36.046  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 36.046  O_CAL        OutputImpedance = 50 Ohms
 36.046  O_CAL        +Voltage = [MEM] mV
 36.047  WAIT         [D1000]
 36.048  IEEE2        MEASU:MEAS2:VAL?[I]
 36.049  MATH         MEM = MEM / 1E-3
 36.050  UNTIL        (MEM >= LL) && (MEM <= UL)

# Last calibrator amplitude setting is in MEM1.
 36.051  MATH         AmpHigh = MEM1
 36.052  IEEE2        MEASU:MEAS1:SOU1 REF1;TYPE LOW;STATE ON
 36.053  WAIT         [D1000]
 36.054  IEEE2        MEASU:MEAS1:VAL?[I]
 36.055  MATH         Low = MEM / 1E-3
 36.056  MATH         LL = Low - Increment
 36.057  MATH         UL = Low + Increment
 36.058  IEEE2        MEASU:MEAS2:SOU1 CH[V @Chan];TYPE LOW;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the base (below) level of recalled waveform.
 36.059  MATH         MEM = Low; MEM1 = MEM; Times = 0

 36.060  DO
 36.061  MATH         MEM = MEM1 + (Low - MEM) / 2
 36.062  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 36.062  O_CAL        OutputImpedance = 50 Ohms
 36.062  O_CAL        +Voltage = [MEM] mV
 36.063  MATH         Ampl = MEM1
 36.064  WAIT         [D1000]
 36.065  IEEE2        MEASU:MEAS2:VAL?[I]
 36.066  MATH         MEM = MEM / 1E-3
 36.067  MATH         Times = Times + 1
 36.068  UNTIL        (MEM >= LL) && (MEM <= UL)

 36.069  MATH         AmpLow = MEM1
 36.070  MATH         MEM = AmpHigh - AmpLow
# Set significant digit of reading
 36.071  MATH         MEM = FRND(MEM, 5)
 36.072  MATH         Result = FMT(MEM, "%.1f")
 36.073  MEM2         = Limit: 985 <= AMPL <= 1015 mV
 36.074  MEM2         =[MEM2], Result: [V Result] mV
 36.075  EVAL   -e (MEM >= 985) && (MEM <= 1015) : [MEM2]

 37.001  HEAD
 37.002  O_CAL        Standby
 37.003  END
