﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 Self-Test IEEE
INSTRUMENT:            Sub Tek DPO7000 Signal Path Compensation IEEE
INSTRUMENT:            Sub Tek DPO7000 Functional Tests IEEE
INSTRUMENT:            Sub Tek DPO7000 Select Channel IEEE
INSTRUMENT:            Sub Tek DPO7000 Is Triggered IEEE
INSTRUMENT:            Sub Tek DPO7000 Not Triggered IEEE
DATE:                  2017-07-25 12:19:48
AUTHOR:                Fluke
REVISION:              $Revision: 20438 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       243
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUB("Self-Test")
  1.002  JMPL         SIGNAL_PATH_COMPENSATION     PSUB("Signal Path")
  1.003  JMPL         FUNCTIONAL_TESTS             PSUB("Functional Tests")
  1.004  JMPL         SELECT_CHANNEL               PSUB("Select Channel")
  1.005  JMPL         IS_TRIGGERED                 PSUB("Is Triggered")
  1.006  JMPL         NOT_TRIGGERED                PSUB("Not Triggered")
  1.007  DISP         Sub procedure not found!
  1.008  END

  1.009  EVAL   Increment test number

# =====  Sub Tek DPO7000 Self-Test IEEE  ====================================

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET
  2.005  IEEE2        *RST
  2.006  DISP         Remove all input signals. The next routine operator
  2.006  DISP         intervention occurs in approximately 9 minutes.
# Switch to diagnostic state.
  2.007  IEEE2        DIA:STATE ON
# Select all available diagnostics
  2.008  IEEE2        DIA:SEL:ALL ALL
# Loop once.
  2.009  IEEE2        DIA:CONTROL:LOOP OFF
  2.010  HEAD         -2 Waiting for self test to complete...
  2.011  IEEE         DIA:EXECUTE
  2.012  DISP         Select Advance when Self Test completes.
# Return result of diagnostics.
  2.013  IEEE         DIA:RES?[I$]
# Self Test evaluation.
  2.014  EVAL   -e FINDI(MEM2, "Pass", 1) : SELF TEST

  3.001  IEEE2        DIA:STATE OFF
  3.002  MATH         @Abort = NOT(FINDI(MEM2, "Pass", 1))

  3.003  IF           @Abort
  3.004  DISP         SELF TEST failed!
  3.004  DISP
  3.004  DISP         The DUT may need be serviced.
  3.004  DISP
  3.004  DISP         Press Advance to terminate the procedure.
  3.005  ENDIF

  3.006  HEAD         -2
  3.007  HEAD
  3.008  DISP         Click the X in upper right corner to close Diagnostics.
  3.009  END

  3.010  EVAL   Increment test number

# =====  Sub Tek DPO7000 Signal Path Compensation IEEE  =====================

  4.001  LABEL        SIGNAL_PATH_COMPENSATION
  4.002  TARGET
  4.003  MATH         @Abort = 0
  4.004  IEEE2        *RST
  4.005  IEEE         CAL:INTERN:STAT?[I$]

  4.006  IF           ZCMP(MEM2, "INIT") || ZCMP(MEM2, "FAIL")
  4.007  MATH         MEM1 = 1

  4.008  ELSEIF       ZCMP(MEM2, "WARMUP")
  4.009  DISP         The DUT has not warmed up for required time
  4.009  DISP         to perform signal path calibration.
  4.009  DISP
  4.009  DISP         Press Terminate to wait for DUT warm up.
  4.010  MATH         @Abort = 1

  4.011  ELSEIF       ZCMP(MEM2, "TERPDRIFT")
  4.012  DISP         The DUT has not reached a state of stable temperature
  4.012  DISP         adequate for performing signal path calibration. The
  4.012  DISP         signal path compensation must have been done within
  4.012  DISP         18°C to 28°C.
  4.013  MATH         @Abort = 1

  4.014  ELSEIF       ZCMP(MEM2, "PASS")
  4.015  OPBR         -z It is recommended that a Signal Path Compensation
  4.015  OPBR         Test be performed before running the performance Test.
  4.015  OPBR         It is only necessary to run this test one time.
  4.015  OPBR
  4.015  OPBR         Do you want to run the Signal Path Compensation Test?
  4.016  ENDIF

  4.017  IF           MEM1 && NOT(@Abort)
  4.018  RSLT         =
  4.019  HEAD         SIGNAL PATH COMPENSATION
  4.020  DISP         Remove all input signals. The next interruption
  4.020  DISP         will occurs more than 10 minutes.
  4.021  IEEE         *CAL?
  4.022  DISP         Select Advance when Signal Path Compensation completes.
  4.023  IEEE         [I]
  4.024  EVAL   -e MEM == 0 : SIGNAL PATH COMPENSATION

  5.001  MATH         @Abort = (MEM != 0)

  5.002  IF           @Abort
  5.003  DISP         SIGNAL PATH COMPENSATION FAILED!
  5.003  DISP
  5.003  DISP         The DUT may need be serviced.
  5.003  DISP
  5.003  DISP         Procedure will be aborted.
  5.004  ENDIF

  5.005  HEAD
  5.006  ENDIF

  5.007  END

  5.008  EVAL   Increment test number

# =====  Sub Tek DPO7000 Functional Tests IEEE  =============================

  6.001  LABEL        FUNCTIONAL_TESTS
  6.002  MATH         @Chan = 1
  6.003  CALL         Sub Tek DPO7000 Input Channel Functional VER IEEE
  6.004  JMPL         TIMEBASE_VER

  6.005  LABEL        CHANNEL_2_VER
  6.006  MATH         @Chan = 2
  6.007  CALL         Sub Tek DPO7000 Input Channel Functional VER IEEE
  6.008  MATH         @Chan = 3
  6.009  CALL         Sub Tek DPO7000 Input Channel Functional VER IEEE
  6.010  MATH         @Chan = 4
  6.011  CALL         Sub Tek DPO7000 Input Channel Functional VER IEEE
  6.012  JMPL         END

  6.013  LABEL        TIMEBASE_VER
  6.014  CALL         Sub Tek DPO7000 TimeBase Functional VER IEEE
  6.015  CALL         Sub Tek DPO7000 Trig System Functional VER IEEE
  6.016  CALL         Sub Tek DPO7000 File System Functional VER IEEE
  6.017  JMPL         CHANNEL_2_VER

  6.018  LABEL        END
  6.019  END

  6.020  EVAL   Increment test number

# =====  Sub Tek DPO7000 Select Channel IEEE  ===============================

  7.001  LABEL        SELECT_CHANNEL

  7.002  IF           @Chan == 1
  7.003  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  7.004  ELSEIF       @Chan == 2
  7.005  IEEE2        SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  7.006  ELSEIF       @Chan == 3
  7.007  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  7.008  ELSE
  7.009  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  7.010  ENDIF

  7.011  END

  7.012  EVAL   Increment test number

# =====  Sub Tek DPO7000 Is Triggered IEEE  =================================

# DUT is considered "Triggered" is it responds with "TRIG" five times is a in
# a row queried at a 100 ms interval.
  8.001  LABEL        IS_TRIGGERED
  8.002  MATH         L[1] = 1

  8.003  DO
  8.004  WAIT         [D100]
  8.005  IEEE         TRIG:STATE?[I$]
  8.006  MATH         L[2] = FIND(MEM2, "TRIG", 1)
  8.007  MATH         L[1] = L[1] + 1
  8.008  UNTIL        (L[1] > 5) || NOT(L[2])

  8.009  MATH         @Triggered = L[2]
  8.010  END

  8.011  EVAL   Increment test number

# =====  Sub Tek DPO7000 Not Triggered IEEE  ================================

# DUT is considered "Not Triggered" if it does not respond with "TRIG" five
# times is a in a row queried at a 100 ms interval.
  9.001  LABEL        NOT_TRIGGERED
  9.002  MATH         L[1] = 1

  9.003  DO
  9.004  WAIT         [D100]
  9.005  IEEE         TRIG:STATE?[I$]
  9.006  MATH         L[2] = FIND(MEM2, "TRIG", 1)
  9.007  MATH         L[1] = L[1] + 1
  9.008  UNTIL        (L[1] > 5) || L[2]

  9.009  MATH         @NotTriggered = NOT(L[2])
  9.010  END
