﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /O_CAL+G1
INSTRUMENT:            Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /O_CAL+G1
DATE:                  2017-07-25 12:06:49
AUTHOR:                Fluke
REVISION:              $Revision: 20438 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       395
CONFIGURATION:         Fluke Ocal (1.1GHz)
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.002  JMPL         BANDWIDTH                    PSUB("Bandwidth VER")
  1.003  JMPL         TRIGGER_FULL_BW              PSUB("Trig Full BW")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment test number

# =====  Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /O_CAL+G1  ===============

  2.001  LABEL        BANDWIDTH
  2.002  HEAD         ANALOG BANDWIDTH 50 Ω (Ch [V @Chan])

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =ANALOG BANDWIDTH
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]

  2.009  MATH         CalConf = CONF(@CalDev)
  2.010  MATH         CalMode = "Vpp LS S6 FLAT"

  2.011  RSLT         =
  2.012  HEAD         -2 5 mV/div
  2.013  TARGET       -p
  2.014  TSET         TDESC = 5 mV/div
  2.015  IEEE2        CH[V @Chan]:SCA 5E-3;TER 50;BAN FUL
  2.016  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
  2.017  IEEE2        HOR:SCA 200E-9;MODE:RECORDLENGTH 100000;SAMPLER 200E+9
  2.018  IEEE2        ACQ:MODE AVE;NUMAV 16;SAMP ET
  2.019  IEEE2        MEASU:MEAS1:METH HIS;SOU1 CH[V @Chan];TYP PK2P;STATE ON
  2.020  IEEE2        MEASU:STATI:MODE ALL
# Obtain reference amplitude at 50 kHz in lieu of 50 MHz.
# Leveled sine absolute specification is at 50 kHz only.
  2.021  O_CAL        Mode = LeveledSine
  2.021  O_CAL        +Voltage = 30mVpp; Frequency = 50 kHz
  2.022  MATH         L[1] = REFACC()
  2.023  WAIT         [D1000]
  2.024  IEEE2        TRIG:A SETL
  2.025  IEEE2        MEASU:STATI:COUNT RESET
  2.026  WAIT         -t 4 DUT Settling...
  2.027  IEEE2        MEASU:MEAS1:MEAN?[I]
  2.028  IEEE2        HOR:SCA 1E-9
  2.029  O_CAL        Mode = LeveledSine
  2.029  O_CAL        +Voltage = 30mVpp; Frequency = 1 GHz
# Get flatness at 1 GHz.
  2.030  MATH         L[2] = ACCV2(@CalDev, CalMode, (MEM1 * 1E-3), 1E+9)
  2.031  WAIT         [D1000]
  2.032  IEEE2        TRIG:A SETL
# From Tektronix manual:
#   "The -3 dB limit can be calculated as: 0.707 x reference amplitude.
  2.033  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 0.1)
# RSS 9500 absolute accuracy at 10 MHz with flatness at 1 GHz.
# Convert to mVpp, normalize, and expand to 2 σ.
  2.034  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  2.035  ACC          mVpp           L3U
  2.036  TARGET       -m
  2.037  IEEE2        MEASU:STATI:COUNT RESET
  2.038  WAIT         -t 4 DUT Settling...
  2.039  IEEE2        MEASU:MEAS1:MEAN?[I]
  2.040  MATH         MEM = CRND((MEM / 1E-3), 0.1)
  2.041  MEMCX  5     mVpp           +1000.0U

  3.001  HEAD         -2 10 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 10 mV/div
  3.004  IEEE2        CH[V @Chan]:SCA 10E-3
  3.005  IEEE2        HOR:SCA 200E-9
  3.006  O_CAL        Mode = LeveledSine
  3.006  O_CAL        +Voltage = 60mVpp; Frequency = 50 kHz
  3.007  MATH         L[1] = REFACC()
  3.008  WAIT         [D1000]
  3.009  IEEE2        TRIG:A SETL
  3.010  IEEE2        MEASU:STATI:COUNT RESET
  3.011  WAIT         -t 4 DUT Settling...
  3.012  IEEE2        MEASU:MEAS1:MEAN?[I]
  3.013  IEEE2        HOR:SCA 1E-9
  3.014  O_CAL        Mode = LeveledSine
  3.014  O_CAL        +Voltage = 60mVpp; Frequency = 1 GHz
  3.015  MATH         L[2] = ACCV2(@CalDev, CalMode, (MEM1 * 1E-3), 1E+9)
  3.016  WAIT         [D1000]
  3.017  IEEE2        TRIG:A SETL
  3.018  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 0.1)
  3.019  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  3.020  ACC          mVpp           L3U
  3.021  TARGET       -m
  3.022  IEEE2        MEASU:STATI:COUNT RESET
  3.023  WAIT         -t 4 DUT Settling...
  3.024  IEEE2        MEASU:MEAS1:MEAN?[I]
  3.025  MATH         MEM = CRND((MEM / 1E-3), 0.1)
  3.026  MEMCX  10    mVpp           +1000.0U

  4.001  HEAD         -2 20 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 20 mV/div
  4.004  IEEE2        CH[V @Chan]:SCA 20E-3
  4.005  IEEE2        HOR:SCA 200E-9
  4.006  O_CAL        Mode = LeveledSine
  4.006  O_CAL        +Voltage = 120mVpp; Frequency = 50 kHz
  4.007  MATH         L[1] = REFACC()
  4.008  WAIT         [D1000]
  4.009  IEEE2        TRIG:A SETL
  4.010  IEEE2        MEASU:STATI:COUNT RESET
  4.011  WAIT         -t 4 DUT Settling...
  4.012  IEEE2        MEASU:MEAS1:MEAN?[I]
  4.013  IEEE2        HOR:SCA 1E-9
  4.014  O_CAL        Mode = LeveledSine
  4.014  O_CAL        +Voltage = 120mVpp; Frequency = 1 GHz
  4.015  MATH         L[2] = ACCV2(@CalDev, CalMode, (MEM1 * 1E-3), 1E+9)
  4.016  WAIT         [D1000]
  4.017  IEEE2        TRIG:A SETL
  4.018  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 0.1)
  4.019  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  4.020  ACC          mVpp           L3U
  4.021  TARGET       -m
  4.022  IEEE2        MEASU:STATI:COUNT RESET
  4.023  WAIT         -t 4 DUT Settling...
  4.024  IEEE2        MEASU:MEAS1:MEAN?[I]
  4.025  MATH         MEM = CRND((MEM / 1E-3), 0.1)
  4.026  MEMCX  20    mVpp           +1000.0U

  5.001  HEAD         -2 50 mV/div
  5.002  TARGET       -p
  5.003  TSET         TDESC = 50 mV/div
  5.004  IEEE2        CH[V @Chan]:SCA 50E-3
  5.005  IEEE2        HOR:SCA 200E-9
  5.006  O_CAL        Mode = LeveledSine
  5.006  O_CAL        +Voltage = 300mVpp; Frequency = 50 kHz
  5.007  MATH         L[1] = REFACC()
  5.008  WAIT         [D1000]
  5.009  IEEE2        TRIG:A SETL
  5.010  IEEE2        MEASU:STATI:COUNT RESET
  5.011  WAIT         -t 4 DUT Settling...
  5.012  IEEE2        MEASU:MEAS1:MEAN?[I]
  5.013  IEEE2        HOR:SCA 1E-9
  5.014  O_CAL        Mode = LeveledSine
  5.014  O_CAL        +Voltage = 300mVpp; Frequency = 1 GHz
  5.015  MATH         L[2] = ACCV2(@CalDev, CalMode, (MEM1 * 1E-3), 1E+9)
  5.016  WAIT         [D1000]
  5.017  IEEE2        TRIG:A SETL
  5.018  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 1)
  5.019  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  5.020  ACC          mVpp           L3U
  5.021  TARGET       -m
  5.022  IEEE2        MEASU:STATI:COUNT RESET
  5.023  WAIT         -t 4 DUT Settling...
  5.024  IEEE2        MEASU:MEAS1:MEAN?[I]
  5.025  MATH         MEM = CRND((MEM / 1E-3), 1)
  5.026  MEMCX  50    mVpp           +1000U

  6.001  HEAD         -2 100 mV/div
  6.002  TARGET       -p
  6.003  TSET         TDESC = 100 mV/div
  6.004  IEEE2        CH[V @Chan]:SCA 100E-3
  6.005  IEEE2        HOR:SCA 200E-9
  6.006  O_CAL        Mode = LeveledSine
  6.006  O_CAL        +Voltage = 600mVpp; Frequency = 50 kHz
  6.007  MATH         L[1] = REFACC()
  6.008  WAIT         [D1000]
  6.009  IEEE2        TRIG:A SETL
  6.010  IEEE2        MEASU:STATI:COUNT RESET
  6.011  WAIT         -t 4 DUT Settling...
  6.012  IEEE2        MEASU:MEAS1:MEAN?[I]
  6.013  IEEE2        HOR:SCA 1E-9
  6.014  O_CAL        Mode = LeveledSine
  6.014  O_CAL        +Voltage = 600mVpp; Frequency = 1 GHz
  6.015  MATH         L[2] = ACCV2(@CalDev, CalMode, (MEM1 * 1E-3), 1E+9)
  6.016  WAIT         [D1000]
  6.017  IEEE2        TRIG:A SETL
  6.018  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 1)
  6.019  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  6.020  ACC          mVpp           L3U
  6.021  TARGET       -m
  6.022  IEEE2        MEASU:STATI:COUNT RESET
  6.023  WAIT         -t 4 DUT Settling...
  6.024  IEEE2        MEASU:MEAS1:MEAN?[I]
  6.025  MATH         MEM = CRND((MEM / 1E-3), 1)
  6.026  MEMCX  100   mVpp           +1000U

  7.001  HEAD         -2 200 mV/div
  7.002  TARGET       -p
  7.003  TSET         TDESC = 200 mV/div
  7.004  IEEE2        CH[V @Chan]:SCA 200E-3
  7.005  IEEE2        HOR:SCA 200E-9
  7.006  O_CAL        Mode = LeveledSine
  7.006  O_CAL        +Voltage = 1.2Vpp; Frequency = 50 kHz
  7.007  MATH         L[1] = REFACC()
  7.008  WAIT         [D1000]
  7.009  IEEE2        TRIG:A SETL
  7.010  IEEE2        MEASU:STATI:COUNT RESET
  7.011  WAIT         -t 4 DUT Settling...
  7.012  IEEE2        MEASU:MEAS1:MEAN?[I]
  7.013  IEEE2        HOR:SCA 1E-9
  7.014  O_CAL        Mode = LeveledSine
  7.014  O_CAL        +Voltage = 1.2Vpp; Frequency = 1 GHz
  7.015  MATH         L[2] = ACCV2(@CalDev, CalMode, MEM1, 1E+9)
  7.016  WAIT         [D1000]
  7.017  IEEE2        TRIG:A SETL
  7.018  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 1)
  7.019  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  7.020  ACC          mVpp           L3U
  7.021  TARGET       -m
  7.022  IEEE2        MEASU:STATI:COUNT RESET
  7.023  WAIT         -t 4 DUT Settling...
  7.024  IEEE2        MEASU:MEAS1:MEAN?[I]
  7.025  MATH         MEM = CRND((MEM / 1E-3), 1)
  7.026  MEMCX  200   mVpp           +1000U

  8.001  HEAD         -2 500 mV/div
  8.002  TARGET       -p
  8.003  TSET         TDESC = 500 mV/div
  8.004  IEEE2        CH[V @Chan]:SCA 500E-3
  8.005  IEEE2        HOR:SCA 200E-9
  8.006  O_CAL        Mode = LeveledSine
  8.006  O_CAL        +Voltage = 3Vpp; Frequency = 50 kHz
  8.007  MATH         L[1] = REFACC()
  8.008  WAIT         [D1000]
  8.009  IEEE2        TRIG:A SETL
  8.010  IEEE2        MEASU:STATI:COUNT RESET
  8.011  WAIT         -t 4 DUT Settling...
  8.012  IEEE2        MEASU:MEAS1:MEAN?[I]
  8.013  IEEE2        HOR:SCA 1E-9
  8.014  O_CAL        Mode = LeveledSine
  8.014  O_CAL        +Voltage = 3Vpp; Frequency = 1 GHz
  8.015  MATH         L[2] = ACCV2(@CalDev, CalMode, MEM1, 1E+9)
  8.016  WAIT         [D1000]
  8.017  IEEE2        TRIG:A SETL
  8.018  MATH         MEM = CRND((MEM * 0.707), 0.01)
  8.019  MATH         L[3] = RSS_L(1, 2) / CalConf * 2
  8.020  ACC          Vpp            L3U
  8.021  TARGET       -m
  8.022  IEEE2        MEASU:STATI:COUNT RESET
  8.023  WAIT         -t 4 DUT Settling...
  8.024  IEEE2        MEASU:MEAS1:MEAN?[I]
  8.025  MATH         MEM = CRND(MEM, 0.01)
  8.026  MEMCX  0.5   Vpp            +1000.00U

  9.001  HEAD         -2 1 V/div
  9.002  TARGET       -p
  9.003  TSET         TDESC = 1 V/div
  9.004  IEEE2        CH[V @Chan]:SCA 1
  9.005  IEEE2        HOR:SCA 200E-9
  9.006  O_CAL        Mode = LeveledSine
  9.006  O_CAL        +Voltage = 5Vpp; Frequency = 50 kHz
  9.007  MATH         L[1] = REFACC()
  9.008  WAIT         [D1000]
  9.009  IEEE2        TRIG:A SETL
  9.010  IEEE2        MEASU:STATI:COUNT RESET
  9.011  WAIT         -t 4 DUT Settling...
  9.012  IEEE2        MEASU:MEAS1:MEAN?[I]
  9.013  IEEE2        HOR:SCA 1E-9
# 9500 maximum frequency at 1 GHz is 3.5 Vpp.  Use 3 Vpp in lieu of 5 Vpp.
  9.014  O_CAL        Mode = LeveledSine
  9.014  O_CAL        +Voltage = 3Vpp; Frequency = 1 GHz
  9.015  MATH         L[2] = ACCV2(@CalDev, CalMode, MEM1, 1E+9)
  9.016  WAIT         [D1000]
  9.017  IEEE2        TRIG:A SETL
  9.018  MATH         MEM = CRND((MEM * 0.707), 0.001)
  9.019  MATH         L[3] = RSS_L(1, 2) / CalConf * 2
  9.020  ACC          Vpp            L3U
  9.021  TARGET       -m
  9.022  IEEE2        MEASU:STATI:COUNT RESET
  9.023  WAIT         -t 4 DUT Settling...
  9.024  IEEE2        MEASU:MEAS1:MEAN?[I]
  9.025  MATH         MEM = CRND(MEM, 0.001)
  9.026  MEMCX  1     Vpp            +1000.000U

 10.001  HEAD         -2
 10.002  HEAD
 10.003  O_CAL        Standby
 10.004  END

 10.005  EVAL   Increment test number

# =====  Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /O_CAL+G1  ===========

 11.001  LABEL        TRIGGER_FULL_BW
 11.002  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Rising Slope
 11.003  MATH         @AuxTrig = 0
 11.004  RSLT         =
 11.005  HEAD         -2{Full BW}
 11.006  MATH         L[2] = @Chan
 11.007  TARGET
 11.008  IEEE2        CH[V @Chan]:TER 50;BAN FUL
 11.009  IEEE2        HOR:SCA 200E-12
 11.010  IEEE2        TRIG:A:MOD NORM;EDGE:SOU CH[L2];COUP DC;SLO:CH[L2] RIS
 11.011  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE PK2PK
 11.012  IEEE2        ACQ:MODE AVE;NUMAV 16;SAMP ET
 11.013  MATH         MEM = 600
 11.014  O_CAL        Mode = LeveledSine
 11.014  O_CAL        +Voltage = [MEM] mVpp; Frequency = 1 GHz
 11.015  IEEE2        TRIG:A SETL
 11.016  IEEE         ACQ:STOPA SEQ

 11.017  DO
 11.018  MATH         MEM = MEM1 + (600 - MEM) / 2

 11.019  IF           (MEM > 850) || (MEM < 250)
 11.020  MATH         MEM = 600
 11.021  ENDIF

 11.022  O_CAL        Mode = LeveledSine
 11.022  O_CAL        +Voltage = [MEM] mVpp; Frequency = 1 GHz
 11.023  IEEE2        ACQ:STATE RUN
 11.024  IEEE         MEASU:IMM:VALUE?[I]
 11.025  MATH         MEM = MEM / 1E-3
 11.026  UNTIL        (MEM >= 598) && (MEM <= 602)

 11.027  MATH         @mVppApplied = MEM1
 11.028  IEEE2        ACQ:STOPA RUNST;STATE RUN
 11.029  MATH         MEM = @mVppApplied / 5
 11.030  O_CAL        Mode = LeveledSine
 11.030  O_CAL        +Voltage = [MEM] mVpp; Frequency = 1 GHz
 11.031  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
 11.032  EVAL   -e @Triggered : Rising Slope, Stable Trigger: [V @TrigLvl] mV

 12.001  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Falling Slope
 12.002  TARGET
 12.003  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] FALL
 12.004  MATH         MEM = @mVppApplied / 5
 12.005  O_CAL        Mode = LeveledSine
 12.005  O_CAL        +Voltage = [MEM] mVpp; Frequency = 1 GHz
 12.006  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
 12.007  EVAL   -e @Triggered : Falling Slope, Stable Trigger: [V @TrigLvl] mV

 13.001  HEAD         -2
 13.002  HEAD
 13.003  O_CAL        Standby
 13.004  END

















